Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAnyC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corba.h"`
`#include "dynamicany_export.h"`
`#include "ace/post.h"`

Include dependency graph for DynamicAnyC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | DynamicAny
## Compounds
interface | DynamicAny::DynAny
exception | DynamicAny::DynAny::InvalidValue
exception | DynamicAny::DynAny::TypeMismatch
interface | DynamicAny::DynAnyFactory
exception | DynamicAny::DynAnyFactory::InconsistentTypeCode
interface | DynamicAny::DynArray
interface | DynamicAny::DynEnum
interface | DynamicAny::DynFixed
interface | DynamicAny::DynSequence
interface | DynamicAny::DynStruct
interface | DynamicAny::DynUnion
interface | DynamicAny::DynValue
struct | DynamicAny::NameDynAnyPair
struct | DynamicAny::NameValuePair
## Defines
#define | TAO_EXPORT_MACRO TAO_DynamicAny_Export
#define | _DYNAMICANY_DYNANY___PTR_CH_
#define | _DYNAMICANY_DYNANY___VAR_CH_
#define | _DYNAMICANY_DYNANY___OUT_CH_
#define | _DYNAMICANY_DYNANY_CH_
#define | _DYNAMICANY_DYNANY_INVALIDVALUE_CH_
#define | _DYNAMICANY_DYNANY_TYPEMISMATCH_CH_
#define | _DYNAMICANY_DYNFIXED___PTR_CH_
#define | _DYNAMICANY_DYNFIXED___VAR_CH_
#define | _DYNAMICANY_DYNFIXED___OUT_CH_
#define | _DYNAMICANY_DYNFIXED_CH_
#define | _DYNAMICANY_DYNENUM___PTR_CH_
#define | _DYNAMICANY_DYNENUM___VAR_CH_
#define | _DYNAMICANY_DYNENUM___OUT_CH_
#define | _DYNAMICANY_DYNENUM_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEVALUEPAIRSEQ_CH_
#define | _DYNAMICANY_NAMEVALUEPAIRSEQ_CH_
#define | _DYNAMICANY_NAMEVALUEPAIRSEQ___VAR_CH_
#define | _DYNAMICANY_NAMEVALUEPAIRSEQ___OUT_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEDYNANYPAIRSEQ_CH_
#define | _DYNAMICANY_NAMEDYNANYPAIRSEQ_CH_
#define | _DYNAMICANY_NAMEDYNANYPAIRSEQ___VAR_CH_
#define | _DYNAMICANY_NAMEDYNANYPAIRSEQ___OUT_CH_
#define | _DYNAMICANY_DYNSTRUCT___PTR_CH_
#define | _DYNAMICANY_DYNSTRUCT___VAR_CH_
#define | _DYNAMICANY_DYNSTRUCT___OUT_CH_
#define | _DYNAMICANY_DYNSTRUCT_CH_
#define | _DYNAMICANY_DYNUNION___PTR_CH_
#define | _DYNAMICANY_DYNUNION___VAR_CH_
#define | _DYNAMICANY_DYNUNION___OUT_CH_
#define | _DYNAMICANY_DYNUNION_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_ANYSEQ_CH_
#define | _DYNAMICANY_ANYSEQ_CH_
#define | _DYNAMICANY_ANYSEQ___VAR_CH_
#define | _DYNAMICANY_ANYSEQ___OUT_CH_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMICANY_DYNANYSEQ_CH_
#define | _DYNAMICANY_DYNANYSEQ_CH_
#define | _DYNAMICANY_DYNANYSEQ___VAR_CH_
#define | _DYNAMICANY_DYNANYSEQ___OUT_CH_
#define | _DYNAMICANY_DYNSEQUENCE___PTR_CH_
#define | _DYNAMICANY_DYNSEQUENCE___VAR_CH_
#define | _DYNAMICANY_DYNSEQUENCE___OUT_CH_
#define | _DYNAMICANY_DYNSEQUENCE_CH_
#define | _DYNAMICANY_DYNARRAY___PTR_CH_
#define | _DYNAMICANY_DYNARRAY___VAR_CH_
#define | _DYNAMICANY_DYNARRAY___OUT_CH_
#define | _DYNAMICANY_DYNARRAY_CH_
#define | _DYNAMICANY_DYNVALUE___PTR_CH_
#define | _DYNAMICANY_DYNVALUE___VAR_CH_
#define | _DYNAMICANY_DYNVALUE___OUT_CH_
#define | _DYNAMICANY_DYNVALUE_CH_
#define | _DYNAMICANY_DYNANYFACTORY___PTR_CH_
#define | _DYNAMICANY_DYNANYFACTORY___VAR_CH_
#define | _DYNAMICANY_DYNANYFACTORY___OUT_CH_
#define | _DYNAMICANY_DYNANYFACTORY_CH_
#define | _DYNAMICANY_DYNANYFACTORY_INCONSISTENTTYPECODE_CH_
## Functions
TAO_NAMESPACE_CLOSE TAO_DynamicAny_Export void | operator<<= (CORBA::Any &, const DynamicAny::NameValuePair &)
TAO_DynamicAny_Export void | operator<<= (CORBA::Any &, DynamicAny::NameValuePair *)
TAO_DynamicAny_Export CORBA::Boolean | operator>>= (const CORBA::Any &, DynamicAny::NameValuePair *&)
TAO_DynamicAny_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const DynamicAny::NameValuePair *&)
TAO_DynamicAny_Export void | operator<<= (CORBA::Any &, const DynamicAny::NameValuePairSeq &)
TAO_DynamicAny_Export void | operator<<= (CORBA::Any &, DynamicAny::NameValuePairSeq *)
TAO_DynamicAny_Export CORBA::Boolean | operator>>= (const CORBA::Any &, DynamicAny::NameValuePairSeq *&)
TAO_DynamicAny_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const DynamicAny::NameValuePairSeq *&)
TAO_DynamicAny_Export void | operator<<= (CORBA::Any &, const DynamicAny::AnySeq &)
TAO_DynamicAny_Export void | operator<<= (CORBA::Any &, DynamicAny::AnySeq *)
TAO_DynamicAny_Export CORBA::Boolean | operator>>= (const CORBA::Any &, DynamicAny::AnySeq *&)
TAO_DynamicAny_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const DynamicAny::AnySeq *&)
TAO_DynamicAny_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const DynamicAny::NameValuePair &)
TAO_DynamicAny_Export CORBA::Boolean | operator>> (TAO_InputCDR &, DynamicAny::NameValuePair &)
TAO_DynamicAny_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const DynamicAny::NameValuePairSeq &)
TAO_DynamicAny_Export CORBA::Boolean | operator>> (TAO_InputCDR &, DynamicAny::NameValuePairSeq &)
TAO_DynamicAny_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const DynamicAny::AnySeq &)
TAO_DynamicAny_Export CORBA::Boolean | operator>> (TAO_InputCDR &, DynamicAny::AnySeq &)

## Define Documentation

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMICANY_DYNANYSEQ_CH_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_ANYSEQ_CH_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEDYNANYPAIRSEQ_CH_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEVALUEPAIRSEQ_CH_

#define _DYNAMICANY_ANYSEQ___OUT_CH_

#define _DYNAMICANY_ANYSEQ___VAR_CH_

#define _DYNAMICANY_ANYSEQ_CH_

#define _DYNAMICANY_DYNANY___OUT_CH_

#define _DYNAMICANY_DYNANY___PTR_CH_

#define _DYNAMICANY_DYNANY___VAR_CH_

#define _DYNAMICANY_DYNANY_CH_

#define _DYNAMICANY_DYNANY_INVALIDVALUE_CH_

#define _DYNAMICANY_DYNANY_TYPEMISMATCH_CH_

#define _DYNAMICANY_DYNANYFACTORY___OUT_CH_

#define _DYNAMICANY_DYNANYFACTORY___PTR_CH_

#define _DYNAMICANY_DYNANYFACTORY___VAR_CH_

#define _DYNAMICANY_DYNANYFACTORY_CH_

#define _DYNAMICANY_DYNANYFACTORY_INCONSISTENTTYPECODE_CH_

#define _DYNAMICANY_DYNANYSEQ___OUT_CH_

#define _DYNAMICANY_DYNANYSEQ___VAR_CH_

#define _DYNAMICANY_DYNANYSEQ_CH_

#define _DYNAMICANY_DYNARRAY___OUT_CH_

#define _DYNAMICANY_DYNARRAY___PTR_CH_

#define _DYNAMICANY_DYNARRAY___VAR_CH_

#define _DYNAMICANY_DYNARRAY_CH_

#define _DYNAMICANY_DYNENUM___OUT_CH_

#define _DYNAMICANY_DYNENUM___PTR_CH_

#define _DYNAMICANY_DYNENUM___VAR_CH_

#define _DYNAMICANY_DYNENUM_CH_

#define _DYNAMICANY_DYNFIXED___OUT_CH_

#define _DYNAMICANY_DYNFIXED___PTR_CH_

#define _DYNAMICANY_DYNFIXED___VAR_CH_

#define _DYNAMICANY_DYNFIXED_CH_

#define _DYNAMICANY_DYNSEQUENCE___OUT_CH_

#define _DYNAMICANY_DYNSEQUENCE___PTR_CH_

#define _DYNAMICANY_DYNSEQUENCE___VAR_CH_

#define _DYNAMICANY_DYNSEQUENCE_CH_

#define _DYNAMICANY_DYNSTRUCT___OUT_CH_

#define _DYNAMICANY_DYNSTRUCT___PTR_CH_

#define _DYNAMICANY_DYNSTRUCT___VAR_CH_

#define _DYNAMICANY_DYNSTRUCT_CH_

#define _DYNAMICANY_DYNUNION___OUT_CH_

#define _DYNAMICANY_DYNUNION___PTR_CH_

#define _DYNAMICANY_DYNUNION___VAR_CH_

#define _DYNAMICANY_DYNUNION_CH_

#define _DYNAMICANY_DYNVALUE___OUT_CH_

#define _DYNAMICANY_DYNVALUE___PTR_CH_

#define _DYNAMICANY_DYNVALUE___VAR_CH_

#define _DYNAMICANY_DYNVALUE_CH_

#define _DYNAMICANY_NAMEDYNANYPAIRSEQ___OUT_CH_

#define _DYNAMICANY_NAMEDYNANYPAIRSEQ___VAR_CH_

#define _DYNAMICANY_NAMEDYNANYPAIRSEQ_CH_

#define _DYNAMICANY_NAMEVALUEPAIRSEQ___OUT_CH_

#define _DYNAMICANY_NAMEVALUEPAIRSEQ___VAR_CH_

#define _DYNAMICANY_NAMEVALUEPAIRSEQ_CH_

#define TAO_EXPORT_MACRO TAO_DynamicAny_Export

## Function Documentation

TAO_DynamicAny_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const DynamicAny::AnySeq & |
| ) |

TAO_DynamicAny_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const DynamicAny::NameValuePairSeq & |
| ) |

TAO_DynamicAny_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const DynamicAny::NameValuePair & | _tao_aggregate
| ) |

TAO_DynamicAny_Export void operator<<= | ( | CORBA::Any & | ,
|  | DynamicAny::AnySeq * |
| ) |

TAO_DynamicAny_Export void operator<<= | ( | CORBA::Any & | ,
|  | const DynamicAny::AnySeq & |
| ) |

TAO_DynamicAny_Export void operator<<= | ( | CORBA::Any & | ,
|  | DynamicAny::NameValuePairSeq * |
| ) |

TAO_DynamicAny_Export void operator<<= | ( | CORBA::Any & | ,
|  | const DynamicAny::NameValuePairSeq & |
| ) |

TAO_DynamicAny_Export void operator<<= | ( | CORBA::Any & | ,
|  | DynamicAny::NameValuePair * |
| ) |

TAO_NAMESPACE_CLOSE TAO_DynamicAny_Export void operator<<= | ( | CORBA::Any & | ,
|  | const DynamicAny::NameValuePair & |
| ) |

TAO_DynamicAny_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | DynamicAny::AnySeq & |
| ) |

TAO_DynamicAny_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | DynamicAny::NameValuePairSeq & |
| ) |

TAO_DynamicAny_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | DynamicAny::NameValuePair & | _tao_aggregate
| ) |

TAO_DynamicAny_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const DynamicAny::AnySeq *& |
| ) |

TAO_DynamicAny_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | DynamicAny::AnySeq *& |
| ) |

TAO_DynamicAny_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const DynamicAny::NameValuePairSeq *& |
| ) |

TAO_DynamicAny_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | DynamicAny::NameValuePairSeq *& |
| ) |

TAO_DynamicAny_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const DynamicAny::NameValuePair *& |
| ) |

TAO_DynamicAny_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | DynamicAny::NameValuePair *& |
| ) |